Retrieve all Repositories
This endpoint enables retrieving all Repositories using pagination and optional filters.
Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token
The ID (UUID) of the Registry.
1e41a73c-59d0-5507-86dd-fa2fc2501cfdThe first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100Filter resources by name.
The CVSS vulnerability severity rating
highThe field to order the results by. If not provided, the results will be ordered by the default field.
-lastPushPossible values: Returned all requested Repositories successfully.
https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositoriesThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /containerregistries/registries/{registryId}/repositories HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "repositories",
"type": "collection",
"href": "https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories",
"items": [
{
"id": "my-service",
"type": "repository",
"href": "https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"artifactCount": 125,
"pullCount": 4200,
"pushCount": 200,
"lastPulledAt": "2026-01-01T00:00:00.000Z",
"lastPushedAt": "2026-01-01T00:00:00.000Z",
"lastSeverity": "high"
},
"properties": {
"name": "my-service"
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Last updated
Was this helpful?